Package com.collibra.catalog.api.component.classification.dto

# Class ChangeClassificationRequest

Object
ChangeClassificationRequest

public class ChangeClassificationRequest extends Object
Request to change Classification.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ChangeClassificationRequest.ChangeClassificationRequestBuilder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeClassificationRequest()`
  `ChangeClassificationRequest(UUID id, String name)`
  Creates a new `ChangeClassificationRequest` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeClassificationRequest.ChangeClassificationRequestBuilder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getId()`
  ID of `Classification` to change.
  `String`
  `getName()`
  New name.
  `int`
  `hashCode()`
  `void`
  `setId(UUID id)`
  ID of `Classification` to change.
  `void`
  `setName(String name)`
  New name.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeClassificationRequest

    public ChangeClassificationRequest(UUID id, String name)
    Creates a new `ChangeClassificationRequest` instance.
    Parameters:
      `id` - ID of `Classification` to change.
      `name` - New name.

  - ### ChangeClassificationRequest

    public ChangeClassificationRequest()

- ## Method Details

  - ### builder

    public static ChangeClassificationRequest.ChangeClassificationRequestBuilder builder()

  - ### getId

    public UUID getId()
    ID of `Classification` to change.

  - ### getName

    public String getName()
    New name.

  - ### setId

    public void setId(UUID id)
    ID of `Classification` to change.

  - ### setName

    public void setName(String name)
    New name.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`